local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onBegin()
    disableMovement()
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("Nocturne Serif Regular", "MayFlower_Day2_Panic6"))
    setFlag("Day2_Group1", true)
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("Nocturne Serif Regular", "MayFlower_Day2_Panic7"))
    setFlag("Day2_Group2", true)
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("Nocturne Serif Regular", "MayFlower_Day2_Panic8"))
    setFlag("Day2_Group3", true)
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("Nocturne Serif Regular", "MayFlower_Day2_Panic9"))
    setFlag("Day2_Group4", true)
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("Nocturne Serif Regular", "MayFlower_Day2_Panic10"))
    setFlag("Day2_Group5", true)
  end

  function onEnd()
    
  end